Package ru.bitel.bgbilling.plugins.gar.common.bean

# Class GarAddressCity

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.gar.common.bean.GarAddressObject
ru.bitel.bgbilling.plugins.gar.common.bean.GarAddressCity

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class GarAddressCity extends GarAddressObject

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GarAddressCity()`
  `GarAddressCity(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addStreet(GarAddressStreet street)`
  `List<GarAddressStreet>`
  `getStreets()`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.gar.common.bean.GarAddressObject

  `getCladrCode, getFullName, getGarObjectId, getGuiTitle, getTypeName, setCladrCode, setFullName, setGarObjectId, setTypeName`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### GarAddressCity

    public GarAddressCity()

  - ### GarAddressCity

    public GarAddressCity(int id, String title)

- ## Method Details

  - ### getStreets

    public List<GarAddressStreet> getStreets()

  - ### addStreet

    public void addStreet(GarAddressStreet street)